跳转到主要内容
Adventure

HappyOyster-Adventure-查询World构建状态 API参考

查询 Adventure World 的构建进度。接口返回加密 World ID、构建状态和首帧 URL,客户端轮询直至 World 进入 ready。

GET
/api/v2/apps/happyoyster-1.0-adventure/openapi/v1/worlds/build-status
cURL - 查询World构建状态
curl --location 'https://maas.qianwenaiapi.com/api/v2/apps/happyoyster-1.0-adventure/openapi/v1/worlds/build-status?encryptedWorldId={encryptedWorldId}' \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"
{
  "code": 0,
  "message": null,
  "data": {
    "encryptedWorldId": "enc_a1b2****",
    "status": "generating",
    "firstFrame": null
  }
}

适用范围

查询 Adventure World 的构建进度。调用前请确认:
  • 不强制主 API Key,主 API Key 或临时 API Key 均可调用。
  • 使用创建World接口返回的 encryptedWorldId 查询,可从 generating 状态开始查询。
  • 建议每 3-5 秒轮询,直到 status 为 ready 或 failed。
调用失败时,请参见HappyOyster 错误码。

鉴权

string
header
必填

千问AI平台 API Key。仅支持主 API Key(sk- 开头)。详见获取 API Key。

Header 参数

string
必填

API Key 鉴权。不强制主 API Key,主 API Key 或临时 API Key 均可调用。主 API Key 以 sk- 开头,如 sk-xxx;临时 API Key 以 st- 开头,如 st-xxx。

查询参数

string
必填

创建World接口返回的加密 World ID,由服务端加密生成,无需自行解密。

响应

200-application/json
integer

返回码。0 表示成功,非 0 为错误码。

string

错误信息。成功时为 null。

object

响应数据。失败时为 null。